{
    "name": "sv-backend-common",
    "version": "1.0.0",
    "description": "Service backend",
    "author": "Nguyễn Tân",
    "main": "/src/index.js",
    "private": true,
    "license": "MIT",
    "engines": {
        "node": ">=8",
        "yarn": "*"
    },
    "nyc": {
        "require": [
            "babel-register"
        ],
        "sourceMap": false,
        "instrument": false
    },
    "scripts": {
        "precommit": "yarn lint",
        "clean": "./node_modules/.bin/rimraf dist -p",
        "build": "yarn run clean && mkdir -p dist && ./node_modules/.bin/babel src -s -D -d dist",
        "start": "cross-env NODE_ENV=production pm2 start ./dist/index.js",
        "start-worker": "cross-env NODE_ENV=production pm2 start docker-process.yml --only worker",
        "start-event-dispatcher": "cross-env NODE_ENV=production pm2 start docker-process.yml --only event-dispatcher",
        "dev": "nodemon src/index.js --exec ./node_modules/.bin/babel-node",
        "dev-worker": "nodemon src/index-worker.js --exec ./node_modules/.bin/babel-node",
        "dev-event-dispatcher": "nodemon src/index-event-dispatcher.js --exec ./node_modules/.bin/babel-node",
        "lint": "eslint **/*.js --ignore-path .gitignore --ignore-pattern internals/scripts",
        "lint:fix": "yarn lint -- --fix",
        "lint:watch": "yarn lint -- --watch",
        "test": "cross-env NODE_ENV=test nyc --reporter=html --reporter=text mocha --timeout 20000 --recursive src/api/tests",
        "test:unit": "cross-env NODE_ENV=test mocha dist/api/tests/unit",
        "test:integration": "cross-env NODE_ENV=test mocha --timeout 20000 dist/api/tests/integration",
        "test:watch": "cross-env NODE_ENV=test mocha --watch dist/api/tests/unit",
        "coverage": "nyc report --reporter=text-lcov | coveralls",
        "validate": "yarn lint && yarn test",
        "postpublish": "git push --tags",
        "docker:start": "cross-env NODE_ENV=production pm2-docker start ./dist/index.js",
        "docker:dev": "docker-compose -f docker-compose.yml -f docker-compose.dev.yml up",
        "docker:test": "docker-compose -f docker-compose.yml -f docker-compose.test.yml up --abort-on-container-exit"
    },
    "dependencies": {
        "amqplib": "^0.10.3",
        "auth-adapter": "git+https://b2c-deploy:ftUpkJ1RXAsR2bBwfsyb@gitlab.com/csell-team/b2c/auth-adapter.git",
        "axios": "^1.3.5",
        "bcryptjs": "^2.4.3",
        "bluebird": "^3.5.2",
        "body-parser": "^1.17.0",
        "bull": "^3.4.1",
        "compression": "^1.6.2",
        "cors": "^2.8.3",
        "cross-env": "^5.0.1",
        "dotenv-safe": "^5.0.1",
        "express": "^4.15.2",
        "express-validation": "^1.0.2",
        "hash": "^0.2.1",
        "helmet": "^3.5.0",
        "http-status": "^1.0.1",
        "i18n": "^0.8.3",
        "ioredis": "^4.14.0",
        "joi": "^10.4.1",
        "jsonwebtoken": "^9.0.0",
        "lodash": "^4.17.4",
        "method-override": "^2.3.8",
        "moment-timezone": "^0.5.13",
        "mongoose": "^5.7.0",
        "morgan": "^1.8.1",
        "nanoid": "^2.0.3",
        "pg": "^7.17.0",
        "pm2": "^5.3.0",
        "rabbit-event-source": "git+https://b2c-deploy:ftUpkJ1RXAsR2bBwfsyb@gitlab.com/csell-team/b2c/rabbit-event-source.git",
        "sequelize": "^6.3.5"
    },
    "devDependencies": {
        "babel-cli": "^6.26.0",
        "babel-plugin-istanbul": "^6.1.1",
        "babel-preset-env": "^1.6.1",
        "chai": "^4.1.0",
        "chai-as-promised": "^7.1.1",
        "coveralls": "^3.0.0",
        "eslint": "^8.38.0",
        "eslint-config-airbnb-base": "^12.0.1",
        "eslint-plugin-import": "^2.2.0",
        "husky": "^0.14.3",
        "nodemon": "^2.0.22",
        "nyc": "^15.1.0",
        "rimraf": "^2.6.2",
        "sinon": "^6.1.0",
        "sinon-chai": "^3.0.0",
        "supertest": "^3.0.0"
    }
}
